View Issue Details

IDProjectCategoryView StatusLast Update
0002095FreeCADFeaturepublic2015-12-15 13:18
Reporteryorik Assigned Toyorik  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
PlatformPCOSDebianOS VersionTesting 64bit
Product Version 
Target VersionFixed in Version0.16 
Summary0002095: Arch - Assembly object
DescriptionA type of Arch component that is a compound of subelements. It should also keep track of material & colors of the subelements.
TagsNo tags attached.
FreeCAD Information

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master d0cfe4b0

2015-06-14 23:36:54

yorik

Details Diff
Arch: Allow to build Arch objects from Part Compounds - fixes 0002095

Arch objects can now be based on a Part Compound and will take
its DiffuseColor property. Arch objects that are clones of
such objects will also copy that property.
Affected Issues
0002095
mod - src/Mod/Arch/ArchComponent.py Diff File
mod - src/Mod/Arch/ArchPanel.py Diff File
mod - src/Mod/Arch/ArchRebar.py Diff File
mod - src/Mod/Arch/ArchStructure.py Diff File
mod - src/Mod/Arch/ArchWall.py Diff File
mod - src/Mod/Arch/ArchWindow.py Diff File

Issue History

Date Modified Username Field Change
2015-05-09 23:53 yorik New Issue
2015-05-09 23:53 yorik Status new => assigned
2015-05-09 23:53 yorik Assigned To => yorik
2015-06-14 21:40 yorik Changeset attached => FreeCAD Master master d0cfe4b0
2015-06-14 21:40 yorik Status assigned => closed
2015-06-14 21:40 yorik Resolution open => fixed
2015-12-15 13:18 yorik Fixed in Version => 0.16